import Layout from "@/layout";

const HomeRoutes = {
  path: "/systemSettings",
  component: Layout,
  name: "systemSettings",
  redirect: "/systemSettings/securityPolicy",
  //using el svg icon, the elSvgIcon first when at the same time using elSvgIcon and icon
  meta: { title: "系统配置", elSvgIcon: "Fold" },
  children: [
    {
      path: "/systemSettings/securityPolicy",
      name: "SecurityPolicy",
      meta: { title: "安全策略", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/systemSettings/securityPolicy/index.vue"),
    },
    {
      path: "/systemSettings/warningSet",
      name: "WarningSet",
      meta: { title: "预警告警策略", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/systemSettings/warningSet/index.vue"),
    },
    {
      path: "/systemSettings/warningEdit",
      name: "WarningEdit",
      hidden: true,
      meta: { title: "预警告警策略编辑", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/systemSettings/warningEdit/index.vue"),
    },
    {
      path: "/systemSettings/log",
      name: "log",
      meta: { title: "日志管理", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/systemSettings/log/index.vue"),
    },
    {
      path: "/systemSettings/serviceManagement",
      name: "ServiceManagement",
      meta: { title: "服务管理", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/systemSettings/serviceManagement/index.vue"),
    },
    {
      path: "/systemSettings/queryTemplate",
      name: "QueryTemplate",
      meta: { title: "查询模板", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/systemSettings/queryTemplate/index.vue"),
    },
    {
      path: "/systemSettings/sourceservice",
      name: "Sourceservice",
      meta: { title: "数据源服务", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/systemSettings/sourceservice/index.vue"),
    },
    {
      path: "/systemSettings/protocolManagement",
      name: "ProtocolManagement",
      meta: { title: "协议管理", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/systemSettings/protocolManagement/index.vue"),
    },
    {
      path: "/systemSettings/datastructure",
      name: "Datastructure",
      meta: { title: "数据结构管理", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/systemSettings/datastructure/index.vue"),
    },
    {
      path: "/systemSettings/messageTemplate",
      name: "MessageTemplate",
      meta: { title: "消息模板", elSvgIcon: "Fold", icon: "table" },
      component: () =>
        import("@/views/systemSettings/messageTemplate/index.vue"),
    },
  ],
};

export default [HomeRoutes];
