import Layout from "@/layout";

const HomeRoutes = {
  path: "/baggageManagement",
  component: Layout,
  name: "baggageManagement",
  redirect: "/baggageManagement/departureC",
  //using el svg icon, the elSvgIcon first when at the same time using elSvgIcon and icon
  meta: { title: "综合可视化", elSvgIcon: "Fold" },
  children: [
    {
      path: "/baggageManagement/departureC",
      name: "DepartureC",
      meta: { title: "出港相关", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/baggageManagement/departureC/index.vue"),
    },
    {
      path: "/baggageManagement/arrival",
      name: "Arrival",
      meta: { title: "进港相关", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/baggageManagement/arrival/index.vue"),
    },
    {
      path: "/baggageManagement/trackMap",
      name: "TrackMap",
      meta: { title: "轨迹地图", elSvgIcon: "Fold", icon: "table" },
      component: () => import("@/views/baggageManagement/trackMap/index.vue"),
    },
  ],
};

export default [HomeRoutes];
